#!/usr/bin/env node

/*
* MIT License
* Author 青湛(github/mintsweet)
*/
const chalk = require('chalk');
const importLocalFile = require('import-local-file');
const currentMajorNodeVersion = process.versions.node.split('.')[0];
const localFile = importLocalFile(__filename);
const forceGlobal = process.argv.includes('--force-global');

// node >= 8
if (currentMajorNodeVersion < 8) {
  console.error(
    chalk.red(
      `You are runing Node${currentMajorNodeVersion}.
      Mints requires Node 8 or higher.
      Please update your version of Node.`
    )
  )
  process.exit(1);
}

if (localFile && !forceGlobal) {
  console.log(`> Using local Mints ${chalk.blueBright(localFile)}.`);
  require(localFile);
} else {
  require('./cli');
}