module.exports = (command, options) => {

  function cwd() {
    return process.cwd();
  }

  function mode() {
    return command.name() === 'build' ? 'production' : 'development';
  }

  function outDir() {
    return command.outDir || options.outDir || './dist';
  }

  function publicUrl() {
    const publicUrl = command.publicUrl || options.publicUrl || '/';
    return command.name() === 'build' ? publicUrl : '/';
  }

  function css() {
    return {
      extract: false,
      sourceMap: true,
      module: false
    };
  }

  function logLevel() {
    return command.logLevel || options.logLevel || 3;
  }

  const output = {
    cwd: cwd(),
    mode: mode(),
    outDir: outDir(),
    publicUrl: publicUrl(),
    css: css(),
    logLevel: logLevel()
  }

  return output;
}